<#--  自定义行为  -->
<#macro custom item>
    /**
     * ${item.getCaption()}
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName]  父实体名称
     */
    public ${item.getFullCodeName()}(args: any[], context: any = {}, params: any = {}, $event?: any, xData?: any, actionContext?: any, srfParentDeName?: string) {
        <#if item.getScriptCode?? && item.getScriptCode() != "">
        const data = args;
        eval('${item.getScriptCode()}');
        <#else>
        this.$Notice.error({ title: '错误', desc: '自定义行为未实现' });
        </#if>
    }
</#macro>