<#ibizinclude>
./LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>
<#if generateTip??>
${generateTip}
</#if>
<#ibizinclude>
./VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
./VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
     * 选中数据
     *
     * @type {*}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public drItem: any = { id: 'form' };

    /**
     * 处理分页项变化
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public handleDrTabChange() {
        if (this.engine) {
            this.engine.drTabSelectionChange({ id: 'form' });
        }
    }

<#if view.getPSAppViewRefs?? && view.getPSAppViewRefs()??>
    /**
     * 视图引用数据
     * 
     * @memberof ${srfclassname('${view.codeName}')}Base
     */
    public viewRefData:any = {
    <#list view.getPSAppViewRefs() as viewRef>
    <#if viewRef.getName?? && viewRef.getName()?? && viewRef.getRefPSAppView?? && viewRef.getRefPSAppView()??>
    <#assign refAppView = viewRef.getRefPSAppView() />
        "${viewRef.getName()}":{viewname:"${srffilepath2(refAppView.getCodeName())}",title:"<#if refAppView.getPSAppDataEntity()??>entities.${refAppView.getPSAppDataEntity().getCodeName()?lower_case}.views.${refAppView.getPSDEViewCodeName()?lower_case}.caption<#else>app.views.${refAppView.getCodeName()?lower_case}.caption</#if>", width: <#if refAppView.getWidth?? && refAppView.getWidth() gt 0>${refAppView.getWidth()?c}<#else>800</#if>, height: <#if refAppView.getHeight?? && refAppView.getHeight() gt 0>${refAppView.getHeight()?c}<#else>500</#if>}<#if viewRef_has_next>,</#if>
    </#if>
    </#list>
    };
</#if>
    
<#ibizinclude>
./VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
./VIEW-BASE.style.ftl
</#ibizinclude>