<#ibizinclude>
./VIEW_LAYOUTPANEL/VIEW_LAYOUTPANEL_RENDER.ftl
</#ibizinclude>
<template>
<#if view.getPSViewLayoutPanel()?? && view.getPSViewLayoutPanel().isUseDefaultLayout()>
${P.getLayoutCode('VIEW.vue').code}
<#else>
    <#if view.getPSViewLayoutPanel().getLayoutMode()?? && view.getPSViewLayoutPanel().getLayoutMode() == "FLEX">
    <div class="app-view-layout app-view-layout__${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if><#if view.getPSViewLayoutPanel().getPSSysCss?? && view.getPSViewLayoutPanel().getPSSysCss()??> ${view.getPSViewLayoutPanel().getPSSysCss().getCssName()}</#if>" v-loading="isLayoutLoadding" :style="{height: '100%', width: '100%','display': 'flex', 'flex-direction': 'column'}">
    <#else>
    <div class="app-view-layout app-view-layout__${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if><#if view.getPSViewLayoutPanel().getPSSysCss?? && view.getPSViewLayoutPanel().getPSSysCss()??> ${view.getPSViewLayoutPanel().getPSSysCss().getCssName()}</#if>" v-loading="isLayoutLoadding" :style="{height: '100%', width: '100%', overflow: 'auto'}">
    </#if>
    <#if view.getPSViewLayoutPanel().getRootPSPanelItems()??>
        <div v-show="!isLayoutLoadding" :style="{height: '100%', width: '100%'}">
        <#list view.getPSViewLayoutPanel().getRootPSPanelItems() as panelDetail>
        <@renderByDetailType panelDetail view false/>
        </#list>
        </div>
    </#if>
    </div>
</#if>
</template>